# Delete Collection

This API is used to delete the current collection. Please note that all deleted payment collections will be invisible and can no longer be used for billing.

{% hint style="info" %} <mark style="color:blue;">This API is used to delete the current collection. Please note that all deleted payment collections will be invisible and can no longer be used for billing.</mark>
{% endhint %}

Delete Collection **POST** Body

```json
{
  "_id": 0
}
```

<mark style="color:green;">`POST`</mark> `https://api.leanx.io/api/v1/`merchant`/delete-payment-collection`

#### Headers

| Name       | Type   | Description                                                                                                                                                                            |
| ---------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| auth-token | String | LP-78EB0EB8-MM\|dbd44a99-2d0f-470d-91fe-c73e8cdd1848\|ea4abd0f3974d4a979e4eed15a8a5d3edd200f458282aa3035a4a8e4ef68ae5b5696661cd8fc4ba4c3a210775e9b440962b57cc308adc0b1c61978b6bfbf8165 |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "response_code": 2000,
  "description": "SUCCESS",
  "app_version": "/api/v1",
  "talk_to_server_before": "2023-02-01T16:20:42.917571",
  "data": {
    "base_url": "http://dev-api.leanpay.my/api/v1/collections/CL-177FF45196-LNP/leanpay-bills",
    "description": "This is updated description",
    "enable_total_amount_tracking": false,
    "account_id": 2,
    "short_url": null,
    "secondary_description": "<p>New year, new beginnings — new prints.</p><p>Introducing our newest printed collection – Liberty. This collection celebrates the freedom to live simply and strive for what your heart dreams of. With a floral composition that exudes bold and lush, Liberty is made to be with you through every step of your new beginning. Be the star of your own show with colorful blooms and flourish as you go.</p><p>Take your pick from the 15 gorgeous colors we have that scream for you! And remember whether it’s creating new memories, or forgetting past ones — you have the freedom to choose what is best for you.</p><p>Grab life by the horns and enjoy the ride. Time to dream bigger, be better, and aim higher because this is for you. This year is for you.</p><p>With gratitude and grace, TP Kitties, always.</p>",
    "enable_billing_address": false,
    "share_setting_id": 2,
    "min_amount": 129.00,
    "footer_description": "<p><strong>DETAILS :</strong></p><ul><li class=\"ql-indent-1\">&nbsp;<strong>Material</strong>:&nbsp;&nbsp;Velvet&nbsp;Satin Silk.</li><li class=\"ql-indent-1\">&nbsp;<strong>Measurements</strong>: 2.0m x 0.65m.</li><li class=\"ql-indent-1\">&nbsp;<strong>Finishing</strong>: Baby Hem.</li><li class=\"ql-indent-1\">&nbsp;<strong>Label:&nbsp;</strong>Gold Metal Plate.</li><li class=\"ql-indent-1\">&nbsp;<strong>Shape:&nbsp;</strong>Shawl.</li><li class=\"ql-indent-1\">&nbsp;<strong>Disclaimer</strong>: Due to the natural condition of the material, you might see fine lines near the hem, and scarves may not be perfectly square.</li></ul><p><strong>WASH &amp; CARE:</strong></p><ul><li class=\"ql-indent-1\">Hand wash only</li><li class=\"ql-indent-1\">Do not soak.</li></ul><p><strong>OPACITY:</strong>&nbsp;Level 5</p><p><strong>NOTE :</strong></p><p><strong>Level 1:</strong>&nbsp;Totally see-through that needs an inner to cover the neck.</p><p><strong>Level 2:</strong>&nbsp;See-through that might need an inner to cover the neck depending on the color.</p><p><strong>Level 3:</strong>&nbsp;Semi-see-through that requires a double layer to cover the neck.</p><p><strong>Level 4:</strong>&nbsp;Almost opaque and does not need a double layer to cover the neck.</p><p><strong>Level 5:</strong>&nbsp;Totally opaque.</p>",
    "total_target_amount": 0,
    "success_field_id": 2,
    "tax": null,
    "bill_photo": null,
    "disable_payment_when_target_reached": false,
    "payment_setting_id": 2,
    "title": "TP Liberty",
    "discount": null,
    "fixed_amount": true,
    "show_seller_information_enable": false,
    "support_detail_id": 2,
    "id": 2,
    "collection_method": 1,
    "allow_customers_to_enter_quantity": false,
    "cod_enable": false,
    "shipping_profile_id": null,
    "uuid": "CL-177FF45196-LNP",
    "custom_field": null,
    "enable_quantity_limit": true,
    "record_status": 4,
    "updated_at": "2023-02-01T16:20:42",
    "type": null,
    "quantity_limit": 0,
    "created_at": "2023-01-18T18:24:00"
  },
  "breakdown_errors": null,
  "token": "dbd44a99-2d0f-470d-91fe-c73e8cdd1848"
}
```

{% endtab %}

{% tab title="404: Not Found " %}

```json
{
  "response_code": 1911,
  "description": "FAILED",
  "app_version": "/api/v1",
  "talk_to_server_before": "2023-02-01T16:24:31.103269",
  "data": "",
  "breakdown_errors": "ACTIVE_COLLECTION_CANT_DELETE",
  "token": "dbd44a99-2d0f-470d-91fe-c73e8cdd1848"
}
```

{% endtab %}
{% endtabs %}

## Authentication

LeanX uses **Auth Token** to authenticate in each request's header.

{% hint style="info" %}
**Auth Token** can be retrieved in your portal dashboard under **API** page.
{% endhint %}

**Request Header**

{% code overflow="wrap" %}

```json
{
    "auth-token": "LP-0D7C06DE-MM|7394e58e-edee-4c42-9ca5-bcbc449f1b9f|2141df4a3cb633d5ce8683bb0c55067e5caebfbe07390dde277dc455bcc95c91723a81b5e565c7c02d68fb84e396722563016bf99e576a4b8cdbe4423fbf226b"
}
```

{% endcode %}

## Delete a Collection

HTTP Method: <mark style="color:yellow;">POST</mark>

```
https://api.leanx.dev/api/v1/merchant/delete-payment-portal
```

**Request Body**

```json
{
    "_id": 99
}
```

**Attributes**

<table><thead><tr><th width="251">Property</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>_id<mark style="color:red;">*</mark></td><td>Number</td><td>Your <a data-mention href="..">..</a> ID</td></tr></tbody></table>

**Response**

{% code overflow="wrap" %}

```json
{
  "response_code": 2000,
  "description": "SUCCESS",
  "app_version": "/api/v1",
  "talk_to_server_before": "2023-02-01T16:20:42.917571",
  "data": {
    "description": "This is updated description",
    "enable_billing_address": false,
    "min_amount": 129.00,
    "title": "TEST COLLECTION",
    "fixed_amount": true,
    "id": 99,
    "uuid": "CL-177FF45196-LNP",
    "record_status": 4,
    "updated_at": "2023-02-01T16:20:42",
    "created_at": "2023-01-18T18:24:00"
  },
  "breakdown_errors": null,
  "token": "dbd44a99-2d0f-470d-91fe-c73e8cdd1848"
}
```

{% endcode %}
